Package org.eclipse.emf.cdo.security

# Enum Class Access

java.lang.Object
java.lang.Enum<Access>
org.eclipse.emf.cdo.security.Access

All Implemented Interfaces:
  `Serializable`, `Comparable<Access>`, `Constable`, `Enumerator`

public enum Access extends Enum<Access> implements Enumerator
A representation of the literals of the enumeration 'Access', and utility methods for working with them.

See Also:
  - `SecurityPackage.getAccess()`
Generated
Model

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`READ`
The 'READ' literal object.
`WRITE`
The 'WRITE' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`READ_VALUE`
The 'READ' literal value.
`static final List<Access>`
`VALUES`
A public read-only list of all the 'Access' enumerators.
`static final int`
`WRITE_VALUE`
The 'WRITE' literal value.

## Method Summary

Modifier and Type
Method
Description
`static Access`
`get(int value)`
Returns the 'Access' literal with the specified integer value.
`static Access`
`get(String literal)`
Returns the 'Access' literal with the specified literal value.
`static Access`
`getByName(String name)`
Returns the 'Access' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static Access`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Access[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ

public static final Access READ
The 'READ' literal object.

See Also:
  - `READ_VALUE`
Generated
Ordered

### WRITE

public static final Access WRITE
The 'WRITE' literal object.

See Also:
  - `WRITE_VALUE`
Generated
Ordered

## Field Details

### READ_VALUE

public static final int READ_VALUE
The 'READ' literal value.

If the meaning of 'READ' literal object isn't clear, there really should be more of a description here...

See Also:
  - `READ`
  - Constant Field Values
Generated
Model
Ordered

### WRITE_VALUE

public static final int WRITE_VALUE
The 'WRITE' literal value.

If the meaning of 'WRITE' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WRITE`
  - Constant Field Values
Generated
Model
Ordered

### VALUES

public static final List<Access> VALUES
A public read-only list of all the 'Access' enumerators.

Generated

## Method Details

### values

public static Access[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Access valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static Access get(String literal)
Returns the 'Access' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.
Generated

### getByName

public static Access getByName(String name)
Returns the 'Access' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.
Generated

### get

public static Access get(int value)
Returns the 'Access' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.
Generated

### getValue

public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated

### getName

public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<Access>`
Generated